QGIS Application - Bug report #9504
iface.addToolBar but no iface.removeToolBar
2014-02-06 12:50 PM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:2.0.1 Regression?:
Operating System: Easy fix?:
Pull Request or Patch supplied: Resolution:
Crashes QGIS or corrupls data:

No
No
wontfix

Copied to github as #: 18095

Description

python iface has a method addToolBar, to add a toolbar with buttons.
But there is no way to remove the toolbar.

I've created a toolbar, with proper unload function. So disabling the plugin removes all from menu's, but | cannot remove the toolbar.

Which would be ok, if not a second one pops up when you enable the plugin again.

History

#1 - 2014-02-06 12:55 PM - Jiirgen Fischer

You can delete the toolbar.

#2 - 2016-01-18 07:52 AM - Alexander Bruy
- Resolution set to wontfix

- Status changed from Open to Closed

As Jirgen said, you can delete toolbar. Please reopen if necessary

#3 - 2016-01-19 01:29 AM - Richard Duivenvoorde
Just as information for future reference for others:
# remove a toolbar (eg in unloading a plugin with a toolbar)

del self.toolBar

see http://www.mail-archive.com/qgis-developer%40lists.osgeo.org/msg20206.html
